From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 26 July 2013<P>

Hi Ravenheart, hi BK,<BR>
<BR>
I actually stopped writing entirely. Then I felt I shouldn't and wrote a few pieces. Then I stopped again. <BR>
<BR>
This incessant writing, sometimes it's like carrying a corpse around... sometimes you have to set it on the ground and walk away for a while. <BR>
<BR>
But I will return to writing. I must, soon.
<HR>
From: <a href="/blend/av.cgi?id=392">Kindred_Spirit49</a><BR>
Date: 26 July 2013<P>

b.k.<BR>
it's just a rumour mind you...but I heard that you were addicted to dark chocolate??? The bunnies are just taunting you!! Poetry material maybe?
<HR>
From: <a href="/blend/av.cgi?id=392">Kindred_Spirit49</a><BR>
Date: 26 July 2013<P>

b.k. and btw... just kidding about the picture, I never saw it before you painted it in your poem. Just trying to make you doubt your own sanity. :-)
<HR>
From: <a href="/blend/av.cgi?id=2045">Ravenheart</a><BR>
Date: 26 July 2013<P>

Hey BK!! I've actually never had chocolate mescaline, but if I see any bunnies running around with a conductor's watch-I'll let you know. Fun fact about me-I don't like white chocolate. Blech! <BR>
<BR>
Hey Star of David!! Oh My God!! You certainly hit the nail on the head when you said incessant writing is like carrying a corpse around!! Yes! Yes! Yes! I don't always want to take a swim in the lake of despair just to write something. Digging up those feelings can be exhausting. 
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 26 July 2013<P>

Ok y'all I was at work reading all this and busted out laughing..it was great!!! (thanks~)<BR>
<BR>
Chocolate Mescaline would only be covered in the best dark chocolate Ravenheart. ha (I am not fond of white chocolate either)<BR>
<BR>
KindredSpirit49..I truly think I have seen it someplace...I'll look for it and post it if I see it again.<BR>
<BR>
bk
<HR>